---
layout: default
title: Contributing
suppress_header: true
extra_css:
  - contributing.css
---
.wrapper
  .contributing-container
    .contributing-overlay
      .contributing-content
        %h1 Contributing to GitLab
#content
  .container-contributing
    .row
      .col-sm-6
        %a{href: "https://gitlab.com/gitlab-org/gitlab-ce/blob/master/CONTRIBUTING.md"}
          .link-box.single
            %h4 Contributing Guidelines
            If you want to contribute to GitLab, make sure to read and follow the contributing guidelines.
      .col-sm-6
        %a{href: "https://gitlab.com/gitlab-org/gitlab-ce/blob/master/PROCESS.md"}
          .link-box
            %h4 Contributing Process
            Contributors and maintainers should know what to expect from each other in the contribution process.
            This is described here.
    .row
      .col-sm-6
        %a{href: "https://gitlab.com/gitlab-org/gitlab-ce/blob/master/CONTRIBUTING.md#feature-proposals"}
          .link-box
            %h4 Feedback and Feature Proposals
            Do you have any feedback, a suggestion or want to hear what others have to say? Share in a feature proposal.
      .col-sm-6
        %a{href: "/development/"}
          .link-box.single
            %h4 Sponsor the development of new features
            If you want us to implement a certain feature, you can sponsor us to do so.
    .row
      .col-sm-6
        %a{href: "https://gitlab.com/gitlab-org/gitlab-ce/issues?label_name=Accepting+Merge+Requests"}
          .link-box.single
            %h4 Accepting Merge Requests
            You can find out if we are accepting merge requests for certain suggested features here.
      .col-sm-6
        %a{href: "/handbook/product/technical-writing/community-writers/"}
          .link-box
            %h4 Writing technical articles as a Guest Writer
            Do you have any knowledge you'd like to share with our community? Find out how to write technical articles for the GitLab Docs.
